#!/bin/bash

package=HandBrake

version=-0.9.6

progname=$0

source ../../cascade-make/bin/script/test-setup.bash
source ../../cascade-make/lib/cascade-lib.bash

prefix=$GEXTVIDEO_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version "$prefix" "--disable-gtk" "--disable-gst" "--force"
opt_run_tarclean $tarclean $package $version

# The first thing the run_make function does is change directory to
# "$package$version", so I'll just append the build directory to the end of
# version... Mwuhahaha
$make_path_suffix=${version}/build
opt_run_make $compile   $package $make_path_suffix
opt_run_make $install   $package $make_path_suffix "install"
opt_run_make $clean     $package $make_path_suffix "clean"
opt_run_make $distclean $package $make_path_suffix "distclean"


